-- Table tracking changes
-- CREATE TABLE `_mdd_update` (
--     `currentName` varchar(100) NOT NULL,
--     `newName` varchar(100) DEFAULT NULL,
--     `comment` varchar(500) DEFAULT NULL,
--     `standard` varchar(500) DEFAULT NULL,
--     `reference` varchar(1500) DEFAULT NULL
-- ) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;
--


-- Delete fossils
DELETE FROM taxonomy WHERE genus = 'Pteropus' AND species IN ('allenorum', 'brunneus', 'coxi', 'pilosus', 'subniger', 'tokudae');
DELETE FROM taxonomy WHERE genus = 'Tonatia' AND species = 'Tonatia';
DELETE FROM taxonomy WHERE genus = 'Pipistrellus' AND species IN ('murrayi', 'sturdeei');


-- Change primary key to species_nr (IOC oder is irrelevant for non-birds)
ALTER TABLE `taxonomy` DROP PRIMARY KEY;
ALTER TABLE `taxonomy` ADD PRIMARY KEY (`species_nr`);
ALTER TABLE `taxonomy` DROP INDEX `species_nr_UNIQUE`;
ALTER TABLE `taxonomy` CHANGE `IOC_order_nr` `IOC_order_nr` DECIMAL(7,2)  NULL;
UPDATE taxonomy SET IOC_order_nr = 0 WHERE group_id > 1;
ALTER TABLE `taxonomy` ADD INDEX (`IOC_order_nr`);

-- Add land mammals
INSERT INTO `groups` (`id`, `name`, `dwca`, `slow_factor`, `gbif`)
VALUES
    ('5', 'land mammals', '2', NULL, NULL);

TRUNCATE TABLE `group_sound_properties`;
INSERT INTO `group_sound_properties` (`group_id`, `property_id`, `sort_order`)
VALUES
    (1,1,1),
    (1,2,2),
    (1,3,1),
    (1,4,2),
    (1,5,3),
    (1,7,1),
    (1,8,2),
    (1,9,3),
    (1,10,4),
    (1,11,5),
    (1,12,6),
    (1,13,7),
    (1,14,8),
    (1,15,9),
    (1,16,10),
    (1,17,99),
    (1,18,98),
    (1,24,1),
    (1,25,2),
    (1,26,3),
    (1,28,0),
    (1,29,0),
    (1,30,0),
    (1,31,6),
    (2,1,1),
    (2,2,2),
    (2,3,1),
    (2,6,2),
    (2,17,99),
    (2,19,1),
    (2,20,2),
    (2,21,3),
    (2,22,4),
    (2,23,5),
    (2,24,1),
    (2,27,2),
    (2,28,0),
    (2,29,0),
    (2,30,0),
    (2,31,6),
    (2,32,6),
    (2,33,4),
    (3,1,1),
    (3,2,2),
    (3,3,1),
    (3,4,3),
    (3,7,2),
    (3,24,1),
    (3,25,10),
    (3,28,0),
    (3,29,0),
    (3,30,0),
    (3,31,99),
    (3,34,3),
    (3,35,4),
    (3,36,3),
    (3,37,5),
    (3,38,2),
    (3,39,3),
    (3,40,4),
    (3,41,2),
    (3,42,3),
    (3,43,11),
    (3,47,12),
    (4,1,1),
    (4,2,2),
    (4,3,1),
    (4,4,2),
    (4,17,6),
    (4,24,1),
    (4,25,2),
    (4,27,3),
    (4,28,3),
    (4,29,3),
    (4,30,0),
    (4,31,4),
    (4,40,4),
    (4,44,1),
    (4,45,5),
    (4,46,3),
    (5,1,1),
    (5,2,2),
    (5,3,1),
    (5,4,2),
    (5,7,11),
    (5,9,4),
    (5,10,3),
    (5,13,4),
    (5,15,7),
    (5,17,1),
    (5,24,1),
    (5,25,2),
    (5,26,3),
    (5,28,3),
    (5,29,3),
    (5,30,12),
    (5,31,4),
    (5,39,10),
    (5,48,2),
    (5,49,6),
    (5,50,8),
    (5,51,9);

TRUNCATE TABLE `sound_properties`;
INSERT INTO `sound_properties` (`id`, `property`, `category_id`)
VALUES
    (1,'male',1),
    (2,'female',1),
    (3,'adult',2),
    (4,'juvenile',2),
    (5,'nestling',2),
    (6,'nymph',2),
    (7,'song',3),
    (8,'subsong',3),
    (9,'call',3),
    (10,'alarm call',3),
    (11,'flight call',3),
    (12,'nocturnal flight call',3),
    (13,'begging call',3),
    (14,'drumming',3),
    (15,'duet',3),
    (16,'dawn song',3),
    (17,'aberrant',3),
    (18,'imitation',3),
    (19,'calling song',3),
    (20,'courtship song',3),
    (21,'rivalry song',3),
    (22,'disturbance song',3),
    (23,'flight song',3),
    (24,'field recording',4),
    (25,'in the hand',4),
    (26,'in net',4),
    (27,'studio recording',4),
    (28,'uncertain',1),
    (29,'uncertain',2),
    (30,'uncertain',3),
    (31,'unknown',4),
    (32,'searching song',3),
    (33,'female song',3),
    (34,'roosting',4),
    (35,'in enclosure',4),
    (36,'emerging from roost',4),
    (37,'roped',4),
    (38,'echolocation',3),
    (39,'social call',3),
    (40,'distress call',3),
    (41,'subadult',2),
    (42,'fluorescent light tag',4),
    (43,'hand-release',4),
    (44,'advertisement call',3),
    (45,'release call',3),
    (46,'territorial call',3),
    (47,'feeding buzz',3),
    (48,'agonistic call',3),
    (49,'defensive call',3),
    (50,'mating call',3),
    (51,'mechanical sound',3);